package server

import (
	"github.com/urfave/cli/v2"
)

// ServerCommand defines the `abra server` command and its subcommands
var ServerCommand = &cli.Command{
	Name:    "server",
	Aliases: []string{"s"},
	Usage:   "Manage servers via 3rd party providers",
	Description: `
These commands support creating, managing and removing servers using 3rd party
integrations. 

Servers can be created and provisioned from scratch so that they are capable of
hosting Co-op Cloud apps. This can be achieved by using the "abra server new"
command.

If you already have a server, you can add it to your configuration using "abra
server add". Abra can provision existing servers also, see available flags on
"server add" for more.
`,
	Subcommands: []*cli.Command{
		serverNewCommand,
		serverAddCommand,
		serverListCommand,
		serverRemoveCommand,
	},
}
